GET
/
customers
/
{customerId}
/
accounts
/
{accountId}
/
notifications
Get pending account notifications
curl --request GET \
  --url https://api.next.orenda.finance/customers/{customerId}/accounts/{accountId}/notifications \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.next.orenda.finance/customers/{customerId}/accounts/{accountId}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.next.orenda.finance/customers/{customerId}/accounts/{accountId}/notifications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "success": true,
  "notifications": [
    {
      "type": "3DS",
      "payload": {
        "id": "a6baaf18-843c-4dbe-9a46-05caa3c89df7",
        "accountId": "d59ac155-0176-4eb0-ab05-ce70473f1fc5",
        "status": "PENDING",
        "currency": "EUR",
        "amount": 4299,
        "maskedPan": "XXXXXXXXXXXX1234",
        "merchantName": "Zalando",
        "created": "2026-06-29T18:10:10.000Z",
        "requestExpiresAt": "2026-06-29T18:11:40.000Z"
      }
    }
  ]
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request could not be processed. Check the request parameters and body and try again."
}
}

Authorizations

Authorization
string
header
required

The back-office user's access token.

Path Parameters

customerId
string<uuid>
required

The customer's ID.

accountId
string<uuid>
required

The account's ID.

Query Parameters

programId
string
required

The program the customer/account belongs to. Required on every request.

Response

The account's pending notifications.

success
boolean
Example:

true

notifications
object[]

Pending notifications for the account.